/**
 *#########################################################################
 *
 * A component of the Gatherer application, part of the Greenstone digital
 * library suite from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * <BR><BR>
 *
 * Author: John Thompson, Greenstone Digital Library, University of Waikato
 *
 * <BR><BR>
 *
 * Copyright (C) 1999 New Zealand Digital Library Project
 *
 * <BR><BR>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * <BR><BR>
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * <BR><BR>
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *########################################################################
 */

 




/* GPL_HEADER */
package org.greenstone.gatherer.msm;
/**************************************************************************************
 * Title:        Gatherer
 * Description:  The Gatherer: a tool for gathering and enriching a digital collection.
 * Company:      The University of Waikato
 * Written:        /  /01
 * Revised:      03/10/02 - Commented
 **************************************************************************************/
/** This utility class contains several enumerations used throughout the MSM package. 
 * @author John Thompson
 * @version 2.3
 */
final public class Declarations {
    /** An element of the action type enumeration. */
    static public final int NO_ACTION   = 0;
    /** An element of the action type enumeration. */
    static public final int ADD         = 1;
    /** An element of the action type enumeration. */
    static public final int CANCEL      = 2;
    /** An element of the action type enumeration. This action merges two unrelated elements, as requested by the user. */
    static public final int FORCE_MERGE = 3;
    /** An element of the action type enumeration. */
    static public final int MERGE       = 4;
    /** An element of the action type enumeration. */
    static public final int RENAME      = 5;
    /** An element of the action type enumeration. */
    static public final int REPLACE     = 6;
    /** An element of the action type enumeration. */
    static public final int SKIP        = 7;
    /** An element of the action type enumeration. */
    static public final int HFILE       = 8;
    /** An element of the action type enumeration. This special value is used internally to indicate a certain element has been removed from the metadata sets. */
    static public final int DELETE      = 9;
}
