package org.greenstone.gsdl3.core;

import org.greenstone.gsdl3.util.*;
import org.greenstone.gsdl3.action.*;
// XML classes
import org.w3c.dom.Node; 
import org.w3c.dom.NodeList; 
import org.w3c.dom.Document; 
import org.w3c.dom.Element; 

// other java classes
import java.io.File;
import java.util.HashMap;
import java.util.Enumeration;

/** 
 * This is a new version of the Receptionist for the NZDL interface
 * the interface requires a lot more info for each page
 * @see DefaultReceptionist
 */
public class NZDLReceptionist extends DefaultReceptionist {
    
    protected void addExtraInfo(Element page) {
	System.out.println("the  page before adding extra info is");
	System.out.println(this.converter.getPrettyString(page));

	super.addExtraInfo(page);

	// this gets the collection info
	Element page_response = (Element)GSXML.getChildByTagName(page, GSXML.PAGE_RESPONSE_ELEM);
	Element collection_info = (Element)GSXML.getChildByTagName(page_response, GSXML.COLLECTION_ELEM);
	if (collection_info== null) {
	    return;
	}

	String collection = collection_info.getAttribute("name"); // should we take this from the request instead??
	// look through services and see if classifier one is present - need to
	// get the list of classifiers
	Element service_list = (Element)GSXML.getChildByTagName(collection_info, GSXML.SERVICE_ELEM+GSXML.LIST_MODIFIER);
	if (service_list == null) {
	    // something weird has gone wrong
	    return;
	}

	Element classifier_service = GSXML.getNamedElement(service_list, GSXML.SERVICE_ELEM, GSXML.NAME_ATT, "ClassifierBrowse");
	if (classifier_service == null) {
	    return; // no browsing stuff
	}
	String lang = page.getAttribute(GSXML.LANG_ATT);
	// find the list of classifiers
	Element info_message = this.doc.createElement(GSXML.MESSAGE_ELEM);
	String to = GSPath.appendLink(collection, "ClassifierBrowse");
	Element info_request = GSXML.createBasicRequest(this.doc, GSXML.REQUEST_TYPE_DESCRIBE, to, lang); 
	info_message.appendChild(info_request);
	
	Element info_response = (Element) this.mr.process(info_message);
	String path = GSPath.appendLink(GSXML.RESPONSE_ELEM, GSXML.SERVICE_ELEM);
	Element classifier_service_info = (Element)GSXML.getNodeByPath(info_response, path);
	// add all the children into the classifier service element
	GSXML.copyAllChildren(classifier_service, classifier_service_info);
	System.out.println("the final page before transforming is");
	System.out.println(this.converter.getPrettyString(page));
	return;
    }
	
}
    
