<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:include href="style.xsl"/>
  <!--<xsl:include href="pref_text.xsl"/>-->
  <xsl:include href="page_common.xsl"/>
  
  <xsl:output method="html"/>  
  
  <xsl:template name="pageHead">
    <head>
      <title>Preferences</title>
    </head>
    <xsl:call-template name="headScript"/>
  </xsl:template>

  <xsl:template match="pageResponse">
    <xsl:variable name='library' select='ancestor::page/pageExtra/config/library_name'/>    
    <xsl:variable name="collName" select="ancestor::page/pageRequest/paramList/param[@name='c']/@value"/>
    <center>
      <xsl:call-template name="collectionPageBanner">
	<xsl:with-param name="collName" select="$collName"/>
	<xsl:with-param name="pageType">pref</xsl:with-param>
      </xsl:call-template>

      <form name="PrefForm" method="get" action="/gsdl3/{$library}">
	<input type='hidden' name='a' value='p'/>
	<input type='hidden' name='sa' value='pref'/>
	<table>
	  <tr><td><h3>Presentation preferences</h3></td></tr>
	  <tr><td><xsl:call-template name="pres-prefs"/></td></tr>
	  <tr><td><xsl:call-template name="greenBar"/></td></tr>
	  <tr><td><h3>Search Preferences</h3></td></tr>
	  <tr><td><xsl:call-template name="search-prefs"/></td></tr>
	  <tr><td><xsl:call-template name="greenBar"/></td></tr>
	</table>
      </form>
    </center>
  </xsl:template>

  
  <xsl:template name="pres-prefs">
    <table>
      <tr><td>Interface language:</td><td align='left'>x</td></tr>
      <tr><td>Encoding:</td><td align='left'>x</td></tr>
      <tr><td>Interface format:</td><td align='left'>x</td></tr>
    </table>
  </xsl:template>
  
  <xsl:template name="search-prefs">
    <table>
      <tr><td></td><td align='right'><input type='submit' value='set prefs'/></td></tr>
      <!-- query box size -->
      <xsl:variable name="boxsize"><xsl:choose><xsl:when test="ancestor::page/pageRequest/paramList/param[@name='qb']"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='qb']/@value"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
      <tr><td valign='baseline'>Query box size:</td><td><input type='radio' name='qb' value='0'><xsl:if test="$boxsize=0"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input> regular query box<br />
	  <input type='radio' name='qb' value='1'><xsl:if test="$boxsize=1"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input> large query box</td></tr>
      <!-- case folding -->
      <xsl:variable name="case"><xsl:choose><xsl:when test="ancestor::page/pageRequest/paramList/param[@name='case']"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='case']/@value"/></xsl:when><xsl:otherwise>1</xsl:otherwise></xsl:choose></xsl:variable>
      <tr><td valign='baseline'>Case differences:</td><td><input type='radio' name='ca' value='1'><xsl:if test="$case=1"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input> ignore case differences<br />
	  <input type='radio' name='ca' value='0'><xsl:if test="$case=0"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input> upper/lower case must match</td></tr>
      <!-- stemming -->
      <xsl:variable name="stem"><xsl:choose><xsl:when test="ancestor::page/pageRequest/paramList/param[@name='stem']"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='stem']/@value"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
      <tr><td valign='baseline'>Word endings:</td><td><input type='radio' name='st' value='1'><xsl:if test="$stem=1"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input> ignore word endings<br />
	  <input type='radio' name='st' value='0'><xsl:if test="$stem=0"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input> whole word must match</td></tr>
      <!-- query mode -->
      <xsl:variable name="querymode"><xsl:choose><xsl:when test="ancestor::page/pageRequest/paramList/param[@name='qm']"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='qm']/@value"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
      <tr><td valign='baseline'>Query mode:</td><td><input type='radio' name='qm' value='0'><xsl:if test="$querymode=0"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input> simple query mode<br />
	      <input type='radio' name='qm' value='1'><xsl:if test="$querymode=1"><xsl:attribute name="checked"></xsl:attribute></xsl:if></input> advanced query mode (allows boolean searching using !, &amp;, |, and parentheses)</td></tr>
      <!-- hit display -->
      <xsl:variable name="maxdocs"><xsl:choose><xsl:when test="ancestor::page/pageRequest/paramList/param[@name='maxDocs']"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='maxDocs']/@value"/></xsl:when><xsl:otherwise>50</xsl:otherwise></xsl:choose></xsl:variable>
      <xsl:variable name="hits"><xsl:choose><xsl:when test="ancestor::page/pageRequest/paramList/param[@name='hp']"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='hp']/@value"/></xsl:when><xsl:otherwise>20</xsl:otherwise></xsl:choose></xsl:variable>
      <tr><td colspan='2'>Return up to 
	  <select name="md">
	    <option value="50"><xsl:if test="$maxdocs=50"><xsl:attribute name="selected"></xsl:attribute></xsl:if>50</option>
	    <option value="100"><xsl:if test="$maxdocs=100"><xsl:attribute name="selected"></xsl:attribute></xsl:if>100</option>
	    <option value="200"><xsl:if test="$maxdocs=200"><xsl:attribute name="selected"></xsl:attribute></xsl:if>200</option>
	    <option value="-1"><xsl:if test="$maxdocs=-1"><xsl:attribute name="selected"></xsl:attribute></xsl:if>all</option>
	  </select>
	  hits with 
	  <select name="hp">
	    <option value="10"><xsl:if test="$hits=10"><xsl:attribute name="selected"></xsl:attribute></xsl:if>10 </option> 
	    <option value="20"><xsl:if test="$hits=20"><xsl:attribute name="selected"></xsl:attribute></xsl:if>20</option>
	    <option value="50"><xsl:if test="$hits=50"><xsl:attribute name="selected"></xsl:attribute></xsl:if>50</option>
	    <option value="-1"><xsl:if test="$hits=-1"><xsl:attribute name="selected"></xsl:attribute></xsl:if>all</option>
	  </select>
	  hits per page.
	</td></tr>
    </table>
  </xsl:template>

</xsl:stylesheet>
